### Enumeration

# EDataServer ProxyMethod

since: 3.12

#### Declaration

    enum EDataServer.ProxyMethod

#### Description [src]

Network proxy configuration methods.

Available since: 3.12

#### Members

`E_PROXY_METHOD_DEFAULT`

  Use the default `GProxyResolver` (see g_proxy_resolver_get_default()).

  - Value: `0`
  - Available since: 3.12
`E_PROXY_METHOD_MANUAL`

  Use the FTP/HTTP/HTTPS/SOCKS settings defined in `ESourceProxy`.

  - Value: `1`
  - Available since: 3.12
`E_PROXY_METHOD_AUTO`

  Use the autoconfiguration URL defined in `ESourceProxy`.

  - Value: `2`
  - Available since: 3.12
`E_PROXY_METHOD_NONE`

  Direct connection; do not use a network proxy.

  - Value: `3`
  - Available since: 3.12